<?php
namespace app\mobile\controller;
use think\facade\View;
use think\facade\Cache;
use think\facade\Cookie;
use think\facade\Session;
use app\common\variable\MsgCode;
use app\common\controller\Interview as InterviewController;
class Interview extends Base
{
    public function handleInterviewInvitation($status,$id)
    {
    	if(request()->isPost()){
    		$D=request()->post();
    	}else{
    		$D=[];
    	}
    	$D['id']=$id;
    	$D['company_id']=Session::get('User.company_id');
    	$D['uid']=Session::get('User.id');
		switch ($status) {
			case 'accept':
	    		return InterviewController::acceptInterviewInvitation($D);
			case 'refuse':
	    		return InterviewController::refuseInterviewInvitation($D);
			case 'offer':
	    		return InterviewController::offerInterviewInvitation($D);
			case 'inappropriate':
	    		return InterviewController::inappropriateInterviewInvitation($D);
		}
    }
}